View Issue Details

IDProjectCategoryView StatusLast Update
0000127Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:20
ReporterScreezeAssigned ToScreeze 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000127: HTML5: File upload mit mehreren Dateien
DescriptionHtml5 sieht vor, dass man Datei-Uploads mit mehreren Dateien realisieren kann, indem man einfach ein "multiple"-Flag in das Feld einfügt.
<input type="file" name"myfiles[]" multiple>

1. kann das APF scheinbar nicht mit flags umgehen (es muss multiple="multiple" verwendet werden, damit das APF es durchlässt)
2. kann das APF keine Mehrfachinputs verarbeiten.

Ich brauche das gerade, deshalb werde ich zumindest Punkt 2 implementieren und hier hochladen, müsste bitte jemand integrieren.
Tagsform
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Activities

Screeze

2014-01-24 14:01

developer   ~0000176

Last edited: 2014-01-24 14:05

View 2 revisions

Hier meine Implementierung (getestet).
- Abwärtskompatibel
- [] werden automatisch an den Name gehängt wenn notwendig
- getFiles() Methode liefert alle dateien zurück
- getFile() liefert einzelne (oder bei mehrfachupload nur die 1. Datei)
- Alte Methoden angepasst, sodass kein Fehler auftritt

Kann das jemand einchecken? Habe von hier wieder kein SVN Zugriff


Edit: habe offenbar html-Schreibrechte hier, deshalb ist es doof die Datei hier zu pasten. Habe sie stattdessen als Dateianhang hier eingefügt.

ChristianAchatz

2014-01-25 10:37

administrator   ~0000177

Hallo Ralf,

bin gerade dabei 2.0 zu finalisieren, lass uns das mit Doku zusammen in 2.1 angehen.

ChristianAchatz

2014-05-06 15:38

administrator   ~0000328

Last edited: 2014-05-06 15:38

View 2 revisions

Hallo Ralf,

danke dir! Ich habe deine Implementierung in den master-Branch (2.1) integriert. Push folgt.

Dokumentation folgt.

ChristianAchatz

2014-05-17 09:24

administrator   ~0000347

Push erfolgt.

Issue History

Date Modified Username Field Change
2014-01-24 13:01 Screeze New Issue
2014-01-24 13:01 Screeze Tag Attached: form
2014-01-24 13:02 Screeze Assigned To => Screeze
2014-01-24 13:02 Screeze Status new => assigned
2014-01-24 14:01 Screeze Note Added: 0000176
2014-01-24 14:02 Screeze Assigned To Screeze => ChristianAchatz
2014-01-24 14:02 Screeze Status assigned => feedback
2014-01-24 14:02 Screeze Status feedback => assigned
2014-01-24 14:05 Screeze Note Edited: 0000176 View Revisions
2014-01-25 10:37 ChristianAchatz Note Added: 0000177
2014-01-25 10:37 ChristianAchatz Product Version => 2.0
2014-01-25 10:37 ChristianAchatz Target Version => 2.1
2014-03-14 22:20 ChristianAchatz Assigned To ChristianAchatz =>
2014-05-06 15:38 ChristianAchatz Note Added: 0000328
2014-05-06 15:38 ChristianAchatz Note Edited: 0000328 View Revisions
2014-05-06 15:38 ChristianAchatz Assigned To => ChristianAchatz
2014-05-17 09:24 ChristianAchatz Note Added: 0000347
2014-05-17 09:24 ChristianAchatz Status assigned => resolved
2014-05-17 09:24 ChristianAchatz Fixed in Version => 2.1
2014-05-17 09:24 ChristianAchatz Resolution open => fixed
2014-05-17 09:24 ChristianAchatz Assigned To ChristianAchatz => Screeze
2015-10-12 12:20 ChristianAchatz Status resolved => closed